kind: Deployment
apiVersion: apps/v1
metadata:
  name: energydataservice
  namespace: power4all
  labels:
    app: energydataservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: energydataservice
  template:
    metadata:
      labels:
        app: energydataservice
    spec:
      containers:
        - name: energydataservice
          image: docker.io/power4all/energydataservice
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
          ports:
            - containerPort: 80
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600